
QGIS Application - Feature request #3832

add x y input to move

2011-05-18 04:58 AM - elcuco -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13890

Description

Please add the ability to input X and Y values to the Move tool in the Digitizing toolbar. It could work like this:

 - mouse left button: free move of the feature

 - mouse right button: opens a dialogue box to input the X and Y values.

This way there's more control over the Move tool and its actions.

Best regards,

Pedro

History

#1 - 2011-05-18 05:51 AM - Giovanni Manghi

try also the numeric vertex editor

#2 - 2011-05-18 05:52 AM - Giovanni Manghi

it is obviously a plugin... :)

#3 - 2011-05-18 06:26 AM - elcuco -

Replying to [comment:2 lutra]:

it is obviously a plugin... :)

Yes, it's a plugin. But what I've meant was move an entirely feature (point, line or polygon) and not a single vertex ;)

#4 - 2011-05-18 07:04 AM - Nathan Woodrow

I have found the numeric vertex editor to be buggy and do strange things at time.  I think this would be a good feature to have in the main app.

Being able to edit the vertex points also would be good.

#5 - 2011-05-18 11:32 AM - Giovanni Manghi

Replying to [comment:4 NathanW]:

I have found the numeric vertex editor to be buggy and do strange things at time.
then please let know the developer.

#6 - 2011-05-18 11:32 AM - Giovanni Manghi

Replying to [comment:3 elcuco]:

Replying to [comment:2 lutra]:

it is obviously a plugin... :)

Yes, it's a plugin. But what I've meant was move an entirely feature (point, line or polygon) and not a single vertex ;)

true, mine was just a suggestion for a temporary workaround for points/nodes

#7 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2013-11-22 11:49 AM - Antonio Locandro

May I suggest also to add the possibility to choose the anchor point

#11 - 2015-12-03 03:24 AM - Médéric RIBREUX

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

in QGIS 2.13 (and previous versions), you have the Advanced Digitizing Panel. When you activate it and create a new geometry, you are able to manually

input X and Y (with blocking options). You are free to use it or not. You can also manually input a distance from the last point or an angle with the last

segment.

I am closing this old feature request.

#12 - 2015-12-03 03:50 AM - elcuco -

Hello,

Yes I'm aware of the Advanced Digitizing Panel and it works great when creating new features.  What I've meant with this request was to add the ability to
easily and manually control the amount in XX and YY to move an existing feature. So please reopen the ticket.

Médéric RIBREUX wrote:

Hello, bug triage...

in QGIS 2.13 (and previous versions), you have the Advanced Digitizing Panel. When you activate it and create a new geometry, you are able to

manually input X and Y (with blocking options). You are free to use it or not. You can also manually input a distance from the last point or an angle

with the last segment.

I am closing this old feature request.

#13 - 2015-12-03 11:04 AM - Médéric RIBREUX

- Status changed from Closed to Open

- % Done changed from 100 to 0

- Resolution deleted (fixed/implemented)

Oops, sorry ! I've read too fast and missed the move tool reference...

So it is still opened !

#14 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#15 - 2017-05-06 11:37 AM - Regis Haubourg

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Hey good news, advanced editor panel work for moving existing features and vertices. 

I think this has been implemented then :)
